
$linkColor: #38c172;
$iconHeight: 20px;

html, body {
  background: #f3f3f7;
}

@keyframes dropdownAnimation {
  from {
    opacity: 0;
    transform: translate3d(0, -30px, 0);
  }

  to {
    opacity: 1;
    transform: none;
    transform: translate3d(0, 0px, 0);
  }
}

.icon-36px {
  font-size: 36px;
}

.color-green {
  color: $linkColor;
}

.user {
  .horizontal-menu {
    .bottom-navbar {
      background: #ffffff;
      position: relative;
      top: 0;
      right: 0;
      left: 0;
      width: 100%;
      display: -webkit-flex;
      display: flex;
      -webkit-align-items: center;
      align-items: center;
      -webkit-transition-duration: 3s;
      -moz-transition-duration: 3s;
      -o-transition-duration: 3s;
      transition-duration: 3s;
      -webkit-transition-property: position, left, right, top, z-index;
      -moz-transition-property: position, left, right, top, z-index;
      -o-transition-property: position, left, right, top, z-index;
      transition-property: position, left, right, top, z-index;
      box-shadow: 0 19px 34px -15px #bdbdbd;
      -webkit-box-shadow: 0 19px 34px -15px #bdbdbd;
      -moz-box-shadow: 0 19px 34px -15px #bdbdbd;

      .page-navigation {
        position: relative;
        width: 100%;
        z-index: 99;
        -webkit-transition-duration: 0.2s;
        -moz-transition-duration: 0.2s;
        -o-transition-duration: 0.2s;
        transition-duration: 0.2s;
        -webkit-transition-property: background, box-shadow;
        -moz-transition-property: background, box-shadow;
        -o-transition-property: background, box-shadow;
        transition-property: background, box-shadow;

        .nav-item {
          position: relative;

          &:first-child > .nav-link {
            padding-left: 0;
          }

          &.nav-item-right {
            right: 0;
            position: absolute;
          }

          > .nav-link {
            color: $linkColor;
            padding: 22px 10px;
            line-height: 1;
            font-weight: 400;

            > .menu-icon {
              margin-right: 10px;
              font-size: 1.25rem;
              color: $linkColor;
              font-weight: 400;
              height: $iconHeight;
              line-height: $iconHeight;
              float: left;

              @media (max-width: 767px) {
                float: none;
                margin-right: 0;
              }
            }

            > .menu-title {
              font-size: 0.875rem;
              line-height: $iconHeight;

              @media (max-width: 767px) {
                display: none;
              }
            }

            > .menu-arrow {
              margin-left: 5px;
              display: inline-block;
              -moz-transform: rotate(0deg);
              -o-transform: rotate(0deg);
              -ms-transform: rotate(0deg);
              -webkit-transform: rotate(0deg);
              transform: rotate(0deg);
              moz-transform-origin: center;
              -o-transform-origin: center;
              -ms-transform-origin: center;
              -webkit-transform-origin: center;
              transform-origin: center;
              -webkit-transition-duration: 0.25s;
              -moz-transition-duration: 0.25s;
              -o-transition-duration: 0.25s;
              transition-duration: 0.25s;

              &::before {
                content: "\F140";
                font-family: "Material Design Icons";
                font-style: normal;
                display: block;
                font-size: 20px;
                line-height: 10px;
              }
            }

            &:hover > .menu-arrow {
              -moz-transform: rotate(-180deg);
              -o-transform: rotate(-180deg);
              -ms-transform: rotate(-180deg);
              -webkit-transform: rotate(-180deg);
              transform: rotate(-180deg);
              moz-transform-origin: center;
              -o-transform-origin: center;
              -ms-transform-origin: center;
              -webkit-transform-origin: center;
              transform-origin: center;
              -webkit-transition-duration: 0.25s;
              -moz-transition-duration: 0.25s;
              -o-transition-duration: 0.25s;
              transition-duration: 0.25s;
            }

            &.nav-link-active::before {
              position: absolute;
              content: "";
              left: 0;
              bottom: 0;
              width: 100%;
              height: 3px;
              background: $linkColor;
            }
          }

          .submenu {
            animation-name: dropdownAnimation;
            -webkit-animation-duration: 0.25s;
            -moz-animation-duration: 0.25s;
            -ms-animation-duration: 0.25s;
            -o-animation-duration: 0.25s;
            animation-duration: 0.25s;
            -webkit-animation-fill-mode: both;
            -moz-animation-fill-mode: both;
            -ms-animation-fill-mode: both;
            -o-animation-fill-mode: both;
            animation-fill-mode: both;

            width: 100%;
            left: 0;
            right: 0;
            padding: 5px 0;
            display: none;

            @media (min-width: 768px) {
              position: absolute;
              top: 61px;
              z-index: 999;
              background: #ffffff;
              border-top: none;
              border-radius: 4px;
              box-shadow: 1px 0 20px rgba(0, 0, 0, 0.08);
              -webkit-box-shadow: 1px 0 20px rgba(0, 0, 0, 0.08);
            }

            ul.submenu-item {
              padding: 0;

              li {
                display: block;

                &:hover {
                  background: #eee;
                  color: $linkColor;
                }

                a {
                  display: block;
                  padding: 5px 10px;
                  font-weight: 400;
                  color: #949090;
                  text-decoration: none;
                  text-align: left;
                  margin: 4px 0;
                  text-overflow: ellipsis;
                  overflow: hidden;
                  max-width: 100%;
                  white-space: nowrap;
                  -webkit-transition-duration: 0.2s;
                  -moz-transition-duration: 0.2s;
                  -o-transition-duration: 0.2s;
                  transition-duration: 0.2s;
                  -webkit-transition-property: background;
                  -moz-transition-property: background;
                  -o-transition-property: background;
                  transition-property: background;
                  border-radius: 6px;
                }
              }
            }
          }

          &:hover .submenu {
            display: block;
            min-width: 180px;
          }
        }
      }
    }
  }

  .page-body {
    padding: 3rem 0;

    .grid-margin {
      margin-bottom: 1.875rem;
    }

    .card {
      border: none;
      border-radius: 0;
      box-shadow: 6px 3px 12px 0 rgba(0, 0, 0, 0.05);
      -webkit-box-shadow: 6px 3px 12px 0 rgba(0, 0, 0, 0.05);
      -moz-box-shadow: 6px 3px 12px 0 rgba(0, 0, 0, 0.05);
      -ms-box-shadow: 6px 3px 12px 0 rgba(0, 0, 0, 0.05);

      .card-body-with-bg {
        min-height: 260px;
        background: url("./img/user-profile-abstract.png") center bottom no-repeat;
        background-size: 100%;
      }

      .card-title {
        color: #4a4a4a;
        margin-bottom: 1.5rem;
        font-size: .875rem;
        font-weight: 400;
      }

      .table-loading-icon {
        background: url("./img/loading.gif") center center no-repeat;
        background-size: 100%;
        margin: 0 auto;
        width: 30px;
        height: 30px;
        display: block;
      }


    }

    .history-table-th-icon,
    .history-table-th-text {
      font-size: 14px;
      font-weight: 500;
      color: #606060;
    }

    .history-table-th-text {
      display: none;
    }

    @media (min-width: 532px) {
      .history-table-th-icon {
        margin-right: 10px;
      }

      .history-table-th-text {
        display: inline-block;
      }
    }

    .history-filter {
      @media screen and (min-width: 512px) {
        position: absolute !important;
        right: 10px;
        margin-top: -10px;

        .DateInput {
          width: 94px;
        }
      }

      @media screen and (max-width: 511px) {
        margin-bottom: 35px;

        .DateRangePickerInput {
          width: 100%;
        }

        .DateInput {
          width: calc(50% - 17px);
        }
      }

      .DateInput_input {
        padding: 5px 7px;
        margin: 0;
        line-height: 13px;
        font-size: 13px;
        text-align: center;
      }

      .DateRangePickerInput_arrow_svg {
        width: 17px;
        margin: 0 8px;
      }

      .DateInput_fang {
        top: 28px !important;
      }

      .DateRangePicker_picker {
        top: 39px !important;
      }

      .DayPicker_weekHeader_li_1 {
        text-transform: uppercase;
        font-size: 13px;
        font-weight: bold;
      }

      .calendar-month-year-select {
        display: flex;
        justify-content: center;
        margin: -4px 46px 10px 46px;

        select {
          border-radius: 3px;
          font-size: 12px;
          padding: 0 5px;
          margin: 0 5px;
          height: 33px;
          color: #919698;
          background: white;
          border: 1px solid #e4e7e7;
          text-transform: capitalize;

          &:hover {
            border-color: #c4c4c4;
          }
        }
      }

    }
  }
}

.react-code-input {
  display: block !important;

  > input {
    width: calc(25% - 8px) !important;
    text-align: center;
    padding-left: 0 !important;
    padding-right: 0 !important;
    border-radius: 0 !important;
    -webkit-box-shadow: none !important;
    -moz-box-shadow: none !important;
  }
}
